#!/bin/sh
#
#  ESMPRO ServerAgentService
#     esmpostinst.sh Version: 1.0 (2018/07/13)
#

WORKPATH="/opt/nec/esmpro_sa/registry/HKEY_LOCAL_MACHINE/SOFTWARE/NEC/ESMALERTMAN/REPORTTABLE/EVENTLOG/APPLICATION/ESMCOMMONSERVICE"
ERR_FLAG=0

DisableTempLowerAction()
{
    TARGETPATH="${WORKPATH}/C0000066/EVENTSETTING"

    if [ ! -d "${TARGETPATH}" ] ; then
        echo "ERROR: ${TARGETPATH} is not exist."
        ERR_FLAG=1
    else
        REGACTION="${TARGETPATH}/V_ACTION"
        /bin/echo -ne "\x04\x00\x00\x00\x04\x00\x00\x00" > "${REGACTION}" 2>/dev/null
        /bin/echo -ne "\x00\x00\x00\x00" >> "${REGACTION}" 2>/dev/null
    fi

    TARGETPATH="${WORKPATH}/C0000070/EVENTSETTING"

    if [ ! -d "${TARGETPATH}" ] ; then
        echo "ERROR: ${TARGETPATH} is not exist."
        ERR_FLAG=1
    else
        REGACTION="${TARGETPATH}/V_ACTION"
        /bin/echo -ne "\x04\x00\x00\x00\x04\x00\x00\x00" > "${REGACTION}" 2>/dev/null
        /bin/echo -ne "\x00\x00\x00\x00" >> "${REGACTION}" 2>/dev/null
    fi
}

#process
EXSITEDSAPVD=`/bin/rpm -qa --qf '%{name}-%{version}-%{release}.%{arch}.rpm\n' 2>/dev/null|/bin/grep "Esmpro-Cmnsrv" 2>/dev/null`
if [ ! -z "$EXSITEDSAPVD" ] ; then
    DisableTempLowerAction
fi

if [ "${ERR_FLAG}" == "1" ] ; then
    exit 1
fi
exit 0
